
Redmine - Defect #2888

"blocks" has not implemented.

2009-03-03 09:35 - Tadashi Oh-Ya

Status: Closed Start date: 2009-03-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I found some tickets which mentioned "blocks" relations.

#2132 Patch to prevent blocked issues from being closed

#1755 add "blocked by" as a related issues option

#1740 Actually block issues from closing when relation 'blocked by' isn't closed

These tickets seem to be left.

or any ploblem to implement "blocks"?

Related issues:

Is duplicate of Redmine - Defect #1740: Actually block issues from closing wh... Closed 2008-08-04

History

#1 - 2009-07-05 09:57 - Marius Garbea

Guess there's an issue blocking the implementation of 'blocks' ;-)

Well, I would gladly apply a patch, but did not find one that completely implements 'blocks, precedes, or relates to'. ('duplicates' seems implemented).

Can someone point me to a place where I can find all patches?

#2 - 2009-07-05 10:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Fixed in r2800, a blocked issue can no longer be closed.
https://www.redmine.org/issues/1755
